> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Private Wireless Gateway assignment for SIM card group

> This action will asynchronously assign a provisioned Private Wireless Gateway to the SIM card group. Completing this operation defines that all SIM cards in the SIM card group will get their traffic controlled by the associated Private Wireless Gateway. This operation will also imply that new SIM cards assigned to a group will inherit its network definitions. If it's moved to a different group that doesn't have a Private Wireless Gateway, it'll use Telnyx's default mobile network configuration.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/wireless/sim-cards-groups.yml post /sim_card_groups/{id}/actions/set_private_wireless_gateway
openapi: 3.1.0
info:
  title: SIM Card Groups API
  version: 2.0.0
  description: >-
    SIM card group management including group CRUD, group actions, and private
    wireless gateway and blocklist assignments.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /sim_card_groups/{id}/actions/set_private_wireless_gateway:
    post:
      tags:
        - SIM Card Groups
      summary: Request Private Wireless Gateway assignment for SIM card group
      description: >-
        This action will asynchronously assign a provisioned Private Wireless
        Gateway to the SIM card group. Completing this operation defines that
        all SIM cards in the SIM card group will get their traffic controlled by
        the associated Private Wireless Gateway. This operation will also imply
        that new SIM cards assigned to a group will inherit its network
        definitions. If it's moved to a different group that doesn't have a
        Private Wireless Gateway, it'll use Telnyx's default mobile network
        configuration.
      operationId: SetPrivateWirelessGatewayForSimCardGroup
      parameters:
        - $ref: '#/components/parameters/SIMCardGroupId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                private_wireless_gateway_id:
                  description: >-
                    The identification of the related Private Wireless Gateway
                    resource.
                  format: uuid
                  type: string
                  example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
              required:
                - private_wireless_gateway_id
      responses:
        '202':
          $ref: '#/components/responses/SIMCardGroupActionResponse'
        '401':
          description: Unauthorized
        default:
          $ref: '#/components/responses/wireless_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.simCardGroups.actions.setPrivateWirelessGateway(
              '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
              { private_wireless_gateway_id: '6a09cdc3-8948-47f0-aa62-74ac943d6c58' },
            );


            console.log(response.data);
        - lang: Python
          source: >-
            import os

            from telnyx import Telnyx


            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )

            response =
            client.sim_card_groups.actions.set_private_wireless_gateway(
                id="6a09cdc3-8948-47f0-aa62-74ac943d6c58",
                private_wireless_gateway_id="6a09cdc3-8948-47f0-aa62-74ac943d6c58",
            )

            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.SimCardGroups.Actions.SetPrivateWirelessGateway(\n\t\tcontext.TODO(),\n\t\t\"6a09cdc3-8948-47f0-aa62-74ac943d6c58\",\n\t\ttelnyx.SimCardGroupActionSetPrivateWirelessGatewayParams{\n\t\t\tPrivateWirelessGatewayID: \"6a09cdc3-8948-47f0-aa62-74ac943d6c58\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.simcardgroups.actions.ActionSetPrivateWirelessGatewayParams;

            import
            com.telnyx.sdk.models.simcardgroups.actions.ActionSetPrivateWirelessGatewayResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ActionSetPrivateWirelessGatewayParams params = ActionSetPrivateWirelessGatewayParams.builder()
                        .id("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
                        .privateWirelessGatewayId("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
                        .build();
                    ActionSetPrivateWirelessGatewayResponse response = client.simCardGroups().actions().setPrivateWirelessGateway(params);
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            response =
            telnyx.sim_card_groups.actions.set_private_wireless_gateway(
              "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
              private_wireless_gateway_id: "6a09cdc3-8948-47f0-aa62-74ac943d6c58"
            )


            puts(response)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $response = $client->simCardGroups->actions->setPrivateWirelessGateway(
                '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
                privateWirelessGatewayID: '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
              );

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx sim-card-groups:actions set-private-wireless-gateway \
              --api-key 'My API Key' \
              --id 6a09cdc3-8948-47f0-aa62-74ac943d6c58 \
              --private-wireless-gateway-id 6a09cdc3-8948-47f0-aa62-74ac943d6c58
components:
  parameters:
    SIMCardGroupId:
      name: id
      description: Identifies the SIM group.
      in: path
      required: true
      schema:
        format: uuid
        type: string
        example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
  responses:
    SIMCardGroupActionResponse:
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                $ref: '#/components/schemas/SIMCardGroupAction'
      description: Successful Response
    wireless_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/wireless_Errors'
  schemas:
    SIMCardGroupAction:
      type: object
      title: SIMCardGroupAction
      description: >-
        This object represents a SIM card group action request. It allows
        tracking the current status of an operation that impacts the SIM card
        group and SIM card in it.
      properties:
        id:
          type: string
          format: uuid
          description: Identifies the resource.
          readOnly: true
          example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
        record_type:
          type: string
          example: sim_card_group_action
          readOnly: true
        sim_card_group_id:
          type: string
          format: uuid
          description: The SIM card group identification.
          example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
        type:
          type: string
          description: Represents the type of the operation requested.
          enum:
            - set_private_wireless_gateway
            - remove_private_wireless_gateway
            - set_wireless_blocklist
            - remove_wireless_blocklist
          example: set_private_wireless_gateway
        status:
          type: string
          enum:
            - in-progress
            - completed
            - failed
          example: in-progress
        settings:
          type: object
          description: A JSON object representation of the action params.
          properties:
            private_wireless_gateway_id:
              description: >-
                The identification of the related Private Wireless Gateway
                resource.
              format: uuid
              type: string
              example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
        created_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was
            created.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
        updated_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was
            updated.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
    wireless_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/wireless_Error'
      type: object
    wireless_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````